@ECHO off

SETLOCAL

PUSHD %~dp0..\..\..\..\bin
CALL "setupCmdLine.bat" %*
POPD

SET ORIG_DIR=%~dp0
SET RC=0
SET WASHOME_ARG=-DWAS_HOME=%WAS_HOME%
SET NODENAME_ARG=
SET SERVERNAME_ARG=
SET USERNAME_ARG=
SET PASSWORD_ARG=
SET LOGGING_ARG=-Djava.util.logging.config.file=logging.properties -Dtw.log4j.init=false
SET ANT_ARGS=-e -logger com.lombardisoftware.tools.tracking.ant.ToolLogger
SET COMMAND=

:processArguments
IF "%1" == "-?" GOTO help
IF "%1" == "-help" GOTO help

IF "%1"=="-serverName" SET SERVERNAME_ARG=-DserverName=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-nodeName" SET NODENAME_ARG=-DnodeName=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-username" SET USERNAME_ARG=-Dusername=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-u" SET USERNAME_ARG=-Dusername=%2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-password" SET PASSWORD_ARG=-Dpassword=%2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-p" SET PASSWORD_ARG=-Dpassword=%2 & SHIFT & SHIFT & GOTO processArguments

IF NOT "%1"=="" SET COMMAND=%COMMAND% %1 & SHIFT & GOTO processArguments

IF "%COMMAND%"=="" GOTO help

SET PROFILEPATH_ARG=-DprofilePath=%USER_INSTALL_ROOT%

SET COMMAND_ARG=-Dcommand.line.args="%COMMAND%"

set THIS_CLASSPATH=%ORIG_DIR%
set THIS_CLASSPATH=%THIS_CLASSPATH%;%ORIG_DIR%resources
set THIS_CLASSPATH=%THIS_CLASSPATH%;%ORIG_DIR%lib\ant.jar
set THIS_CLASSPATH=%THIS_CLASSPATH%;%ORIG_DIR%lib\ant-launcher.jar
set THIS_CLASSPATH=%THIS_CLASSPATH%;%ORIG_DIR%lib\ant-nodeps.jar
set THIS_CLASSPATH=%THIS_CLASSPATH%;%WAS_HOME%\BPM\Lombardi\lib\twant.jar
set THIS_CLASSPATH=%THIS_CLASSPATH%;%WAS_HOME%\BPM\Lombardi\lib\ant-contrib.jar
set THIS_CLASSPATH=%THIS_CLASSPATH%;%WAS_HOME%\BPM\Lombardi\lib\commons-logging.jar
set THIS_CLASSPATH=%THIS_CLASSPATH%;%WAS_HOME%\BPM\Lombardi\lib\twperfsvrtool.jar

%JAVA_HOME%\bin\java -cp %THIS_CLASSPATH% %WASHOME_ARG% %PROFILEPATH_ARG% %NODENAME_ARG% %SERVERNAME_ARG% %USERNAME_ARG% %PASSWORD_ARG% %LOGGING_ARG% %COMMAND_ARG% -DtoolPath=%ORIG_DIR% org.apache.tools.ant.Main %ANT_ARGS% -f %ORIG_DIR%perfDWTool.ant execute
SET RC=%ERRORLEVEL%
GOTO END

:help
ECHO Usage:
ECHO.
ECHO    perfDWTool.bat [options...] ^<command^>
ECHO.
ECHO Options:
ECHO    -?, -help                                  This help message
ECHO    -u ^<username^>, -username ^<username^>    user name of the performance DW user
ECHO    -p ^<password^>, -password ^<password^>    user password (unencrypted)
ECHO    -profileName ^<path^>                      profile name
ECHO    -nodeName ^<name^>                         node name in ND environment
ECHO    -serverName ^<name^>                       server name in ND environment
ECHO.
ECHO Commands:
ECHO  pending [schema-command-args] [-groups tracking-group-name-1 tracking-group-name-2 ...]
ECHO  archive [snapshot-id-1 snapshot-id-2 ...]
ECHO  restore [snapshot-id-1 snapshot-id-2 ...]
ECHO.
ECHO Schema Command Args:
ECHO  -preview output-file-name
ECHO  -prepare output-file-name
ECHO  -execute
GOTO end

:end
ECHO.
EXIT /B %RC%
ENDLOCAL
